Subject: bug#18820: 25.0.50; message-mode: incorrect: newline-and-reformat on "--text follows this line--"

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2017 15:02:35 +0100

Matthew Leach <[email-masked]> writes:

>>> I think I've discovered a minor bug in message mode.  Recipe:
>>>
>>> emacs -Q
>>> C-x m
>>> move point to:
>>> --text follows this line--
>>>                           ^
>>>                          Here
>>> M-RET

[...]

> Yes, I've just tried this out on Emacs trunk and I'm still experiencing
> this problem.
>
> Perhaps I've not been clear enough with my bug report?

Sorry, I misread and used `M-q' instead.  I'm able to reproduce the bug
with the `M-RET' command (that I didn't know existed).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no